/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.command;

import android.app.Activity;

import kr.co.zumo.app.lifeplus.model.Model;
import kr.co.zumo.app.lifeplus.view.IView;
import kr.co.zumo.app.lifeplus.view.presenter.Presenter;

/**
 * ExitCommand
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018-09-22]   [최초 작성]
 * @since 2018-09-22
 */
public class ExitCommand extends Command<Model, IView, Presenter> {
  @Override
  public void preExecute(Model model, IView view, Presenter presenter) {

  }

  @Override
  public void execute(Model model, IView view, Presenter presenter) {
    Activity activity = view.getActivity();
    activity.finishAffinity();
    System.runFinalization();
    System.exit(0);
  }

  @Override
  public void postExecute(Model model, IView view, Presenter presenter) {

  }

  @Override
  public void dispose() {

  }
}
